#include "led.h"
#include <iostream>

wxDECLARE_APP(MyApp);

bool MyApp::OnInit()
{
	if (!wxApp::OnInit())
		return false;
	wxImage::AddHandler(new wxPNGHandler);
	this->frame = new MainFrame;
	//this->frame->update_led_image();
	this->frame->Show();

	return true;
}

int MyApp::FilterEvent(wxEvent &event)
{
	if (event.GetEventType() == wxEVT_KEY_DOWN) {
		if (WXK_RETURN == ((wxKeyEvent &) event).GetKeyCode()) {
			this->frame->enter_key_pressed();
			return 1;
		}
	}
	if (event.GetEventType() == wxEVT_KEY_UP) {
		if (WXK_RETURN == ((wxKeyEvent &) event).GetKeyCode()) {
			this->frame->enter_key_released();
			return 1;
		}
	}
	return -1;
}


int MyApp::OnExit()
{
	return 0;
}

wxIMPLEMENT_APP(MyApp);
